
var images = []; // Declare Array
var x; //constant to control array object
x = 0; //initialize to 0

// now declare each object for the array

/*
thumb = low res version of an images
full = high res version of an images
description = used for alt text and description
*/

images[0] = {
  thumb: "./images/berthafalls/image1t.jpg",
  full: "./images/berthafalls/image1.jpg",
  description: "Bertha Falls trailhead"
};

images[1] = {
  thumb: "./images/berthafalls/image2t.jpg",
  full: "./images/berthafalls/image2.jpg",
  description: "Upper Waterton Lake through the snag"
};

images[2] = {
  thumb: "./images/berthafalls/image3t.jpg",
  full: "./images/berthafalls/image3.jpg",
  description: "Upper Waterton Lake lookout point"
};

images[3] = {
  thumb: "./images/berthafalls/image4t.jpg",
  full: "./images/berthafalls/image4.jpg",
  description: "My wife Tianna taking the right fork at the trail split"
};

images[4] = {
  thumb: "./images/berthafalls/image5t.jpg",
  full: "./images/berthafalls/image5.jpg",
  description: "Going further in between the mountains"
};

images[5] = {
  thumb: "./images/berthafalls/image6t.jpg",
  full: "./images/berthafalls/image6.jpg",
  description: "My son Alex in front of a waterfall"
};

/* This function reduces the value of x
by 1, reducing the array selected. But if x 
is currently the first array object already
then it goes to the last array object. It then replaces
all items associated with the picture with the last 
object's parts
*/
function lastImage()	{
  if (x == 0)
    x = 5;
  else
    x--;
  document.getElementById('pictureFull').href = images[x].full;
  document.getElementById('pictureThumb').src = images[x].thumb;
  document.getElementById('pictureThumb').alt = images[x].description;
  document.getElementById('pictureDesc').innerHTML = images[x].description;
}

/* This function increases the value of x
by 1, increasing the array selected. But if x 
is currently the first array object already,
then it goes to the last array object. It then replaces
all items associated with the picture with the next 
object's parts
*/
function nextImage()	{
  if (x == 5)
    x = 0;
  else
    x++;
  document.getElementById('pictureFull').href = images[x].full;
  document.getElementById('pictureThumb').src = images[x].thumb;
  document.getElementById('pictureThumb').alt = images[x].description;
  document.getElementById('pictureDesc').innerHTML = images[x].description;
}

// run the script of changing the image every 3 seconds
setInterval(nextImage,3000);