/* This is script implementation that determines if
it is daytime or night time and adjusts the style of the site 
accordingly based on time of day */

var d = new Date();
var hours = d.getHours(); // get the hour of the day

if (hours < 7 || hours > 19)	{
  document.write('<link rel="stylesheet" type="text/css" href="./css/dark.css">');
}
else {
  document.write('<link rel="stylesheet" type="text/css" href="./css/main.css">');
}

/* This took a while to get working. Eventually I google'd 
how to load a script before the page renders which showed that
you could do it in the body tag, but I wanted it to load BEFORE 
the body, so when I went back to https://www.w3schools.com/js/js_output.asp
I realized the answer was simpler than the hours I spent trying to 
figure it out on my own. That page said "Using document.write() after an HTML document 
is loaded, will delete all existing HTML:" I needed something to be done based on
a conditional time test before the HTML is loaded. So I swapped out trying
to reference different CSS stylesheets based on time of date changes and just 
document.write to use the entire code. I used the information from 
https://www.w3schools.com/js/tryit.asp?filename=tryjs_date_getHours 
to show me how to get the hours of the day. */

